> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Note

> This endpoint updates a note.

### Body

<ParamField body="id" type="string">
  This is the id of the note.
</ParamField>

<ParamField body="title" type="string">
  This is the title of the note.
</ParamField>

<ParamField body="body" type="string">
  This is the body of the note.
</ParamField>

<ParamField body="created_date" type="string">
  This is the created date of the note.
</ParamField>

<ParamField body="last_modified_date" type="string">
  This is the last modified date of the note.
</ParamField>

<ParamField body="created_by" type="string">
  This is the user that created the note.
</ParamField>

<ParamField body="last_modified_by" type="string">
  This is the user that last modified the note.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the note
</ResponseField>

<ResponseField name="title" type="string">
  This is the title of the note
</ResponseField>

<ResponseField name="body" type="string">
  This is the body of the note
</ResponseField>

<ResponseField name="created_date" type="string">
  This is the created date of the note
</ResponseField>

<ResponseField name="last_modified_date" type="string">
  This is the last modified date of the note
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/note' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
      "title": "Note Title",
      "body": "Note Body",
      "created_date": "2020-01-01T00:00:00.000Z",
      "last_modified_date": "2020-01-01T00:00:00.000Z"
  }'
  ```

  ```graphQL GraphQL theme={null}
                 mutation addNote($note: notes_insert_input!) {
                  insert_notes(objects: [$note]) {
                    returning {
                      id
                      title
                      body
                      createdDate
                      lastModifiedDate
                  }
                }
  ```

  ```js Node.js theme={null}
  const notes = await stateset.notes.update({
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  });
  ```

  ```py Python theme={null}
  notes = stateset.notes.update({
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  })
  ```

  ```go Golang  theme={null}
  notes, err := stateset.notes.update(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```ruby Ruby theme={null}
  notes = Stateset::Notes.update(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```java Java theme={null}
  notes notes = Stateset.notes.update(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```csharp C# theme={null}
  notes notes = Stateset.notes.update(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```php PHP theme={null}
  $notes = Stateset\notes::update(
    'nt_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```http HTTP theme={null}
  GET /v1/note HTTP/1.1
  Host: api.stateset.com
  Content-Type: application/json
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "notes": [
          {
              "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
          },
      ]
  }   
  ```
</ResponseExample>
